TcpConnection (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.TcpConnection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface TcpConnection

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Transport

    public interface TcpConnection

extends Transport

A TCP connection

Naming Rules:
  0="fromPort,toPort"
Persistable:
  true
Table Name:
  TCPCONN

Field Summary

Fields inherited from interface com.collation.platform.model.topology.net.Transport
`IBM_COPYRIGHT`

Method Summary
`TcpPort` | `getFromPort()`
`TcpPort` | `getToPort()`
`boolean` | `hasFromPort()`
`boolean` | `hasToPort()`
`void` | `setFromPort(TcpPort p)`
`void` | `setToPort(TcpPort p)`

Methods inherited from interface com.collation.platform.model.topology.net.Transport
`getEndpoints, hasEndpoints, setEndpoints`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getFromPort

    TcpPort getFromPort()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Connects" reverse="false"

### setFromPort

    void setFromPort(TcpPort p)

### hasFromPort

    boolean hasFromPort()

### getToPort

    TcpPort getToPort()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Connects" reverse="false"

### setToPort

    void setToPort(TcpPort p)

### hasToPort

    boolean hasToPort()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD